TIOCTTYGSTRUCT(2const)

NAME
TIOCTTYGSTRUCT - kernel debugging

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <sys/ioctl.h>

int ioctl(int fd, TIOCTTYGSTRUCT, struct tty_struct *argp);

#include <linux/tty.h>

struct tty_struct;

DESCRIPTION
Get the tty_struct corresponding to fd.

RETURN VALUE
On success, 0 is returned. On error, -1 is returned, and errno is set to indicate the error.

HISTORY
This operation was removed in Linux 2.5.67.

SEE ALSO
ioctl(2), ioctl_tty(2)